Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.result
Class ResultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xsl.result.ResultException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AttributeAfterChildException, IllegalNameException, IllegalNodeException

    public class ResultException

extends Exception

Thrown by a `ResultHandler` when an error occurs while building the result tree.

See Also:
  Serialized Form

Field Summary
`static String` | `CANT_ENCODE_CHARACTER`

Constructor Summary
`ResultException()` Constructs a `ResultException` with no detail message.
`ResultException(Exception exception)` Constructs a `ResultException` that wraps the specified exception.
`ResultException(String key)` Constructs a `ResultException` with the specified detail message.
`ResultException(String key, String parm0)` Constructs a `ResultException` with the specified detail message and message parameter.

Method Summary
`static String` | `constructMessage(String key, Object[] parms)` Construct a message from a format message in the properties file and an array of parameters
`Exception` | `getException()` Returns the wrapped exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CANT_ENCODE_CHARACTER

    public static final String CANT_ENCODE_CHARACTER

See Also:
  Constant Field Values

Constructor Detail

### ResultException

    public ResultException()

  Constructs a `ResultException` with no detail message.

### ResultException

    public ResultException(String key)

  Constructs a `ResultException` with the specified detail message.

  Parameters:
    `key` - the format message key from the properties file

### ResultException

    public ResultException(String key,
                           String parm0)

  Constructs a `ResultException` with the specified detail message and message parameter.

  Parameters:
    `key` - the format message key from the properties file
    `parm0` - the parameter for the format message

### ResultException

    public ResultException(Exception exception)

  Constructs a `ResultException` that wraps the specified exception.

  Parameters:
    `exception` - the wrapped exception

Method Detail

### getException

    public Exception getException()

  Returns the wrapped exception.

  Returns:
    the wrapped exception, or `null` if there is none

### constructMessage

    public static String constructMessage(String key,
                                          Object[] parms)

  Construct a message from a format message in the properties file and an array of parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD